Bug 11502 - pam_winbind segfaults if the init functions fails
pam_winbind segfaults if the init functions fails
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.3.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 14:46 UTC by Andreas Schneider
Modified: 2015-10-12 18:47 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.2 (3.16 KB, patch)
2015-09-17 14:02 UTC, Andreas Schneider
obnox: review+
Details
patch for 4.3 (3.16 KB, patch)
2015-09-17 14:02 UTC, Andreas Schneider
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2015-09-08 14:46:09 UTC
pam_winbind segfaults if the init functions fails. Then ctx is NULL and we try to dereference it.

A patch will follow.
Comment 1 Andreas Schneider 2015-09-17 14:02:10 UTC
Created attachment 11445 [details]
patch for 4.2
Comment 2 Andreas Schneider 2015-09-17 14:02:28 UTC
Created attachment 11446 [details]
patch for 4.3
Comment 3 Andreas Schneider 2015-09-25 10:02:58 UTC
Karolin, please apply the patch to the current stable branches. Thanks!
Comment 4 Karolin Seeger 2015-10-05 07:21:38 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-[3|2]-test.
Comment 5 Karolin Seeger 2015-10-12 18:47:44 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!